"use strict";

const express = require('express');
const router = express.Router();
module.exports = router;

const matrix = require('komodo-sdk/matrix');

function pageIndex(req, res, next) {

    if (!matrix || !matrix.stock || (typeof matrix.stock !== 'object')) {
        res.render(
            'stocks.html',
            {
                page_title: 'Stock',
                stocks_array: null
            }
        )
        return;
    }

    let stocks_array = [];


    for (let key in matrix.stock) {
        if (matrix.stock.hasOwnProperty(key)) {
            stocks_array.push({
                name: key,
                balance: matrix.stock[key]
            });
        }
    }

    res.render(
        'stocks.html',
        {
            page_title: 'Stock',
            stocks_array: stocks_array
        }
    );

}

router.get('/', pageIndex);
